<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: menu</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: menu</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>Displays a menu and asks user some questions <em>sequentially</em>.</p>
<h3>Example of usage</h3>
<pre class="prettyprint source"><code>// Create the questions for the menu
const questions = [
{
  message: &quot;Choose where to invade:&quot;,
  name: &quot;initApplication&quot;,
  command: &quot;initApplication&quot;,
  type: &quot;checkbox&quot;,
  resolver: resolveAppType, // Just to demonstrate the how to use a resolver
  choices: [
    { name: &quot;Frontend web&quot;, value: &quot;frontend&quot;, checked: true },
    { name: &quot;Backend API&quot;, value: &quot;backend&quot;, checked: true }
  ],
  next: [
    {
      message: `What frontend folder do you want to use ?`,
      name: &quot;frontendDirectory&quot;,
      if: &quot;frontend&quot;,
      type: &quot;input&quot;,
      default: &quot;client/&quot;
    }, …
  ],
  filterNext: (val, answerResult, resolverResult) => {
    return resolverResult.indexOf(val.if) > -1;
  },
]

// Launch the menu with the specified questions
const menu = new Menu('Scavader')
menu.run(&quot;questions&quot;).then( (result) => {
  console.log(result);
}
</code></pre>
<h3>Question object</h3>
<p>Check the <a href="https://www.npmjs.com/package/inquirer">Inquirer module</a> to see
what field can be used. Note that the <code>command</code> and the <code>resolver</code> fields
are exclusively used by the module provided by <code>Scavader</code>.</p></div>
        

        
            











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>Title</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>The title to display when running the menu</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="menu.js.html">menu.js</a>, <a href="menu.js.html#line8">line 8</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-menu.html">menu</a></li><li><a href="module-scaffold.html">scaffold</a></li></ul><h3>Classes</h3><ul><li><a href="Scavader.html">Scavader</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.2</a> on Wed Jun 12 2019 17:39:45 GMT+0100 (GMT+01:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>